/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/

/*
 * Created on Apr 18, 2006
 *
 */
package gov.va.med.esr.common.model.ivmdm;

import java.util.Date;

import gov.va.med.fw.model.AbstractKeyedEntity;
import gov.va.med.fw.model.EntityKey;

// Java classes

// Library classes

// Framework classes

// EDB Classes

/**
 * @author Yi He
 * @version 1.0
 */
public class IVMDMExtractRecord extends AbstractKeyedEntity {

	private static final long serialVersionUID = 3757222352497204317L;
    
    public IVMDMExtractRecord() {
		super();
	}

	public IVMDMExtractBatch getExtractBatch() {
		return this.extractBatch;
	}
	
	public void setExtractBatch(IVMDMExtractBatch batch) {
		this.extractBatch = batch;
	}
	
	public Integer getIncomeYear() {
		return this.incomeYear;
	}
	
	public void setIncomeYear(Integer incomeYear) {
		this.incomeYear = incomeYear;
	}
	
	public String getIcn() {
		return icn;
	}
	
	public void setIcn(String icn) {
		this.icn = icn;
	}
	
	private IVMDMExtractBatch extractBatch;
	private Integer incomeYear;
	private String icn;
}

